%define	module	Data-Dump
%define name	perl-%{module}
%define	modprefix Data

%define version 1.08
%define release %mkrel 2

Summary: 	Pretty printing of data structures
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	Artistic/GPL
Group: 		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
BuildArch:	noarch
URL:		http://search.cpan.org/dist/%{module}/
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot/

%description
This module provides a single function called dump() that takes a list
of values as its argument and produces a string as its result. The
string contains Perl code that, when evaled, produces a deep copy of
the original arguments. The string is formatted for easy reading.


%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/%{modprefix}



%changelog
* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.08-2mdv2008.1
+ Revision: 180377
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.08-1mdv2008.0
+ Revision: 19844
- 1.08


* Thu May 25 2006 Scott Karns <scottk@mandriva.org> 1.06-2mdv2007.0
- Updated to comply with Mandriva perl packaging policies

* Tue Nov 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.06-1mdk
- 1.06

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.03-1mdk
- 1.03

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.04-7mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.04-6mdk
- rebuild for new auto{prov,req}

